Subject: ghc compiling error
From: mikadoZero <[email-masked]>
To: [email-masked]
Date: Wed, 13 Mar 2019 18:30:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

`guix describe`
guix fd4c7a0
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fd4c7a098a508c1de7a8513c0f3d88d5a0df12e7

I have ghc in my system configuration file.  I have just done a pull and
reconfigure.

`which ghc`
/run/current-system/profile/bin/ghc

I created a one line hello world program:

```haskell
main = putStrLn "hello, world"
```

Then I tried to compile it with ghc.  I get this error.

`ghc Main`                      
[1 of 1] Compiling Main             ( Main.hs, Main.o )
gcc: error trying to exec 'as': execvp: No such file or directory
`gcc' failed in phase `Assembler'. (Exit code: 1)

I have tested compiling the same hello world program with the same ghc
command and it works fine on a none Guix System.